org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.tableconfiguration

## Interface TableconfigurationPackage.Literals

Enclosing interface:
  TableconfigurationPackage

    public static interface TableconfigurationPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Generated:

### Field Summary

Fields
`static EClass` `INSTANTIATION_METHOD` The meta object literal for the '`Instantiation Method`' class.
`static EAttribute` `INSTANTIATION_METHOD__DESCRIPTION` The meta object literal for the 'Description' attribute feature.
`static EReference` `INSTANTIATION_METHOD__INSTANTIATION_OPERATION` The meta object literal for the 'Instantiation Operation' reference feature.
`static EAttribute` `INSTANTIATION_METHOD__NAME` The meta object literal for the 'Name' attribute feature.
`static EClass` `TABLE_CONFIGURATION` The meta object literal for the '`Table Configuration`' class.
`static EReference` `TABLE_CONFIGURATION__CAN_BE_PRESENTED_IN_THE_TABLE` The meta object literal for the 'Can Be Presented In The Table' reference feature.
`static EReference` `TABLE_CONFIGURATION__DEFAULT_COLUMNS` The meta object literal for the 'Default Columns' reference list feature.
`static EReference` `TABLE_CONFIGURATION__DEFAULT_CUSTOMIZATIONS` The meta object literal for the 'Default Customizations' reference list feature.
`static EReference` `TABLE_CONFIGURATION__DEFAULT_FACETS` The meta object literal for the 'Default Facets' reference list feature.
`static EReference` `TABLE_CONFIGURATION__DEFAULT_LOCAL_CUSTOMIZATIONS` The meta object literal for the 'Default Local Customizations' reference list feature.
`static EReference` `TABLE_CONFIGURATION__FORCED_CELL_EDITORS` The meta object literal for the 'Forced Cell Editors' reference list feature.
`static EReference` `TABLE_CONFIGURATION__INSTANTIATION_METHOD` The meta object literal for the 'Instantiation Method' containment reference list feature.

### Field Detail

#### TABLE_CONFIGURATION

    static final EClass TABLE_CONFIGURATION

The meta object literal for the '`Table Configuration`' class.

See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.tableconfiguration.impl.TableConfigurationImpl`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.tableconfiguration.impl.TableconfigurationPackageImpl#getTableConfiguration()`
Generated:

#### TABLE_CONFIGURATION__DEFAULT_LOCAL_CUSTOMIZATIONS

    static final EReference TABLE_CONFIGURATION__DEFAULT_LOCAL_CUSTOMIZATIONS

The meta object literal for the 'Default Local Customizations' reference list feature.

Generated:

#### TABLE_CONFIGURATION__CAN_BE_PRESENTED_IN_THE_TABLE

    static final EReference TABLE_CONFIGURATION__CAN_BE_PRESENTED_IN_THE_TABLE

The meta object literal for the 'Can Be Presented In The Table' reference feature.

Generated:

#### TABLE_CONFIGURATION__FORCED_CELL_EDITORS

    static final EReference TABLE_CONFIGURATION__FORCED_CELL_EDITORS

The meta object literal for the 'Forced Cell Editors' reference list feature.

Generated:

#### TABLE_CONFIGURATION__DEFAULT_FACETS

    static final EReference TABLE_CONFIGURATION__DEFAULT_FACETS

The meta object literal for the 'Default Facets' reference list feature.

Generated:

#### TABLE_CONFIGURATION__DEFAULT_CUSTOMIZATIONS

    static final EReference TABLE_CONFIGURATION__DEFAULT_CUSTOMIZATIONS

The meta object literal for the 'Default Customizations' reference list feature.

Generated:

#### TABLE_CONFIGURATION__INSTANTIATION_METHOD

    static final EReference TABLE_CONFIGURATION__INSTANTIATION_METHOD

The meta object literal for the 'Instantiation Method' containment reference list feature.

Generated:

#### TABLE_CONFIGURATION__DEFAULT_COLUMNS

    static final EReference TABLE_CONFIGURATION__DEFAULT_COLUMNS

The meta object literal for the 'Default Columns' reference list feature.

Generated:

#### INSTANTIATION_METHOD

    static final EClass INSTANTIATION_METHOD

The meta object literal for the '`Instantiation Method`' class.

See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.tableconfiguration.impl.InstantiationMethodImpl`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.tableconfiguration.impl.TableconfigurationPackageImpl#getInstantiationMethod()`
Generated:

#### INSTANTIATION_METHOD__NAME

    static final EAttribute INSTANTIATION_METHOD__NAME

The meta object literal for the 'Name' attribute feature.

Generated:

#### INSTANTIATION_METHOD__DESCRIPTION

    static final EAttribute INSTANTIATION_METHOD__DESCRIPTION

The meta object literal for the 'Description' attribute feature.

Generated:

#### INSTANTIATION_METHOD__INSTANTIATION_OPERATION

    static final EReference INSTANTIATION_METHOD__INSTANTIATION_OPERATION

The meta object literal for the 'Instantiation Operation' reference feature.

Generated: